---
title: llarp::path::BuildStats
summary: Stats about all our path builds. 

---

# llarp::path::BuildStats



Stats about all our path builds. 


`#include <pathset.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1path_1_1BuildStats.md#function-extractstatus)**() const |
| double | **[SuccessRatio](Classes/structllarp_1_1path_1_1BuildStats.md#function-successratio)**() const |
| std::string | **[ToString](Classes/structllarp_1_1path_1_1BuildStats.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr double | **[MinGoodRatio](Classes/structllarp_1_1path_1_1BuildStats.md#variable-mingoodratio)**  |
| uint64_t | **[attempts](Classes/structllarp_1_1path_1_1BuildStats.md#variable-attempts)**  |
| uint64_t | **[success](Classes/structllarp_1_1path_1_1BuildStats.md#variable-success)**  |
| uint64_t | **[fails](Classes/structllarp_1_1path_1_1BuildStats.md#variable-fails)**  |
| uint64_t | **[timeouts](Classes/structllarp_1_1path_1_1BuildStats.md#variable-timeouts)**  |

## Public Functions Documentation

### function ExtractStatus

```cpp
util::StatusObject ExtractStatus() const
```


### function SuccessRatio

```cpp
double SuccessRatio() const
```


### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable MinGoodRatio

```cpp
static constexpr double MinGoodRatio = 0.25;
```


### variable attempts

```cpp
uint64_t attempts = 0;
```


### variable success

```cpp
uint64_t success = 0;
```


### variable fails

```cpp
uint64_t fails = 0;
```


### variable timeouts

```cpp
uint64_t timeouts = 0;
```


-------------------------------

Updated on 2025-03-02 at 05:10:06 +0000